5.1 Preqequisites to Installation

"Download and install the Java 2 Platform Standard Edition Developers Kit
5.0. Use JRE version 1.5.0_10."

They are very specific about what version of JRE to install.
The current version is 1.6.XX

Should I install and stay at 1.5.0_10 or install the newest stable version?

Daniel Blake
Milford Central School